# vim: set sw=4 ts=4 et nu:
# norootforbuild

Name:               xnoise
Version:            0.1.10
%define api 1.0
Release:            0.pm.3.1
Summary:            Media Player
Source:             http://xnoise.googlecode.com/files/xnoise-%{version}.tar.bz2
Patch1:             xnoise-fix_using_int_as_pointer.patch
URL:                http://code.google.com/p/xnoise
Group:              Productivity/Multimedia/Sound/Players
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libunique-devel
BuildRequires:      libtag-devel
BuildRequires:      sqlite-devel
BuildRequires:      gstreamer010-devel
BuildRequires:      gstreamer010-plugins-base-devel
BuildRequires:      gtk2-devel
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool intltool
BuildRequires:      update-desktop-files
BuildRequires:      hicolor-icon-theme
BuildRequires:      fdupes

%description
XNOISE is a media player for Gtk+ with a slick GUI, great speed and lots of
features.

Unlike Rhythmbox, Banshee or itunes, Xnoise uses a tracklist centric design.
The tracklist is a list of video or music tracks that are played one by one
without being removed (right side of window). This gives you the possibility to
enqueue any track in any order, regardless if they are on the same album or
not. The tracks can be reordered at any time via drag and drop.

The media browser (left side of the window) contains all available media in a
hierarchical tree structure of the available metadata. It is easy to find a
single track, artist or album by going through this tree or by just entering a
search term. From the media browser, music or videos can be dragged into the
tracklist to every position.

Single or multiple tracks, streams, albums or artists can be dragged onto the
tracklist and be reordered. Within the playing track, it's possible to jump to
every position by clicking the position bar.

Xnoise can play every kind of audio/video data that gstreamer can handle. 

%package devel
Summary:            Development Environment for xnoise
Group:              Development/Libraries/C and C++
Requires:           libunique-devel
Requires:           libtag-devel
Requires:           sqlite-devel
Requires:           gstreamer010-devel
Requires:           gstreamer010-plugins-base-devel
Requires:           gtk2-devel
Requires:           pkgconfig

%description devel
XNOISE is a media player for Gtk+ with a slick GUI, great speed and lots of
features.

This package contains the development environment to build applications and
plugins for xnoise.


%prep
%setup -q
%patch1

%build
%configure \
    --disable-silent-rules

%__make %{?jobs:-j%{jobs}} V=1

%install
%makeinstall

%suse_update_desktop_file -r "%{name}" AudioVideo Player

if [ -e "%{buildroot}%{_datadir}/locale/de" ]; then
    %__rm -rf "%{buildroot}%{_datadir}/locale/de_DE"
else
    %__mv "%{buildroot}%{_datadir}/locale"/{de_DE,de}
fi
%__rm -rf "%{buildroot}%{_datadir}/locale"/{default,es_CO}

%find_lang "%{name}"

%fdupes -s "%{buildroot}%{_datadir}"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f "%{name}.lang"
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/xnoise
%{_datadir}/icons/*/*/apps/xnoise.*
%{_datadir}/xnoise
%{_datadir}/applications/xnoise.desktop

%files devel
%defattr(-,root,root)
%{_includedir}/xnoise-%{api}
%{_libdir}/pkgconfig/xnoise-%{api}.pc
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/xnoise-%{api}.*
%changelog
* Sat Jul 24 2010 pascal@links2linux.de
- new package (0.1.10)
